import 'package:flutter_test/flutter_test.dart';
import 'package:graph_widget/graph_widget.dart';
import 'package:flutter/material.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/rendering.dart';
import 'package:flutter/widgets.dart';
import 'dart:math';

void main() {
  testWidgets('', (WidgetTester tester) async {
    Widget testWidget = new MediaQuery(
        data: new MediaQueryData(),
        child: new MaterialApp(
            home: Scaffold(
          body: GraphWidget(params: generateGraphParams()),
        )));

    await tester.pumpWidget(testWidget);
  });
}

List<GraphPoint> generateValues() {
  List<GraphPoint> values = new List();
  for (int i = 0; i < 100; i++) {
    var rng = new Random();
    values.add(GraphPoint(x: i.toDouble(), y: rng.nextInt(500).toDouble()));
  }
  return values;
}

GraphParams generateGraphParams() {
  return GraphParams(
    graphPoints: generateValues(),
    height: 200.0,
    width: GraphConst.WRAP,
    top: 16.0,
    yGridSize: 10,
    yScale: GraphConst.AUTO,
    xScale: 10,
    startOverScroll: 0.0,
    endOverScroll: 0.0,
    enableRoundCorners: true,
    enableFill: true,
    enableMarks: false,
    enableGrid: false,
    enableScroll: true,
  );
}
